#!/bin/bash

export CPLUS_INCLUDE_PATH=$CPLUS_INCLUDE_PATH::<HIFSUITE_PATH>/thirdparty/llvm/Linux/x86_64/lib/clang/3.6.0/include

cd 0.UML_Examples
echo
echo "############################################################"
echo "#  UML2RAD"
echo "############################################################"
echo
uml2rad $1.uml -o ../1.uml2rad/$1
cd ..
cd 1.uml2rad
echo
echo "############################################################"
echo "#  RAD2HIF"
echo "############################################################"
echo
rad2hif -p $1.radx -o ../2.rad2hif/$1
cd ..
cd 2.rad2hif
echo
echo "############################################################"
echo "#  UNIVERCM2HDL"
echo "############################################################"
echo
univercm2hdl -w $1.hif.xml -o ../3.univercm2hdl/$1
cd ..
cd 3.univercm2hdl
echo
echo "############################################################"
echo "#  CUSTOMIZE4SCNSL"
echo "############################################################"
echo
customize4scnsl $1.hif.xml -t 5 -o ../4.customize4scnsl/$1_opt -m manipulations/$1_*.man.xml
cd ..
cd 4.customize4scnsl
echo
echo "############################################################"
echo "#  HIF2SC"
echo "############################################################"
echo
rm -R ../5.hif2sc/$1_opt
mkdir ../5.hif2sc/$1_opt
hif2sc $1_opt.hif.xml -D ../5.hif2sc/$1_opt
if [ $1 != "Three_Nodes_with_Router" ]
then
	cp ../5.hif2sc/$1_opt/src/hif_globals.cc ../7.scnsl/$1_opt/src
fi

export CPLUS_INCLUDE_PATH=
